#!/bin/bash

echo "################################################################################" | tee resp.txt
echo "Check that Xilinx JTAG cable is connected to front panel JTAG connector" | tee -a resp.txt
echo " and DIP1 is in position  ONU(USB) then press ENTER" | tee -a resp.txt

echo "Flashing CPLD" | tee -a resp.txt

source /opt/Xilinx/14.7/LabTools/settings64.sh

# call Impact script
impact -batch ./impact_cpld_flash.cmd | tee -a resp.txt

# if called from script copy log to report folder
if [[ -n $LOG_FOLDER ]]; then
	cp _impactbatch.log $LOG_FOLDER/flash_cpld.txt
fi

RESULT=`cat _impactbatch.log | grep "Programming completed successfully"`
if [[ -n $RESULT ]]; then
  printf "Programming completed successfully"| tee -a resp.txt
  echo "PTS_STATUS: OK"| tee -a resp.txt
  exit 0
else
  echo "PTS_STATUS: Failed"| tee -a resp.txt
  exit 64
fi

