#!/bin/bash

# $1 - path to pts folder
# $2 - configuration file name (without extension)
# $3 - if present, only load sof, not burning rpd

if [ $1 == 'h']
then
  echo "$1 - path to pts folder"
  echo "$2 - configuration file name (without extension)"
  echo "$3 - if present, only load sof, do not burn rpd"
  exit 113 # just showing help
fi

echo "################################################################################"
echo "Flashing FPGA"
echo "Checking JTAG chain"

export PATH=$PATH:/home/ftrn/intelFPGA/17.1/qprogrammer/bin:/home/ftrn/intelFPGA/17.1/qprogrammer/linux64/

echo "Detecting devices in JTAG chain"
RESP=`jtagconfig`

echo "Loading SOF to FPGA"
SOFPATH=$1/fpga/$2
quartus_pgm -c "USB-Blaster" -m jtag -o "p;$SOFPATH.sof@2"
sleep 3

TTY_USB=`$1/utils/find_ftrn_ttyUSB.sh`
echo "Done programming sof"

if [ -z $3 ]
then
	echo "Burning rpd to FLASH"
	eb-flash "dev/$TTY_USB" "$SOFPATH.rpd"

	echo "Resetting FTRN"
	eb-reset "dev/$TTY_USB"
fi

sleep 2
eb-info "dev/$TTY_USB"
echo "Done"

exit 0

