#!/bin/bash

# $1 - path to pts folder

echo "################################################################################" | tee resp.txt

if [[ $1 == 'h']];
then
  echo "$1 - path to pts folder" | tee -a resp.txt
  exit 113 # just showing help
fi

echo "################################################################################" | tee -a resp.txt
echo "Configuring FPGA flash" | tee -a resp.txt
echo "Finding FTRN ttyUSBx" | tee -a resp.txt
TTY_USB=`$1/utils/find_ftrn_ttyUSB.sh`
if [[ -n $TTY_USB ]]; then
  echo "Found FTRN ttyUSB : $TTY_USB" | tee -a resp.txt
else	
  echo "No FTRN ttyUSB device present. Check if Cypress microcontroller is programmed!" | tee -a resp.txt
  echo "PTS_STATUS: Failed"  | tee -a resp.txt
  exit 64
fi

RESP=`eb-config dev/$TTY_USB 10 4`
echo "$RESP"  | tee -a resp.txt

if [[ -n $RESP ]]; then
  echo "FPGA flash configuration failed." | tee -a resp.txt
  echo "PTS_STATUS: Failed." | tee -a resp.txt
  exit 64
else
  echo "FPGA flash configured. Power cycle the board!" | tee -a resp.txt
  echo "PTS_OK: OK" | tee -a resp.txt
  exit 0
fi

