#!/bin/bash

# $1 - FTRN Saflib name

echo "##########################################################" | tee resp.txt

saft-io-ctl $1 -n HWT_EN -d 0

#     0 F A 5
HSPS=("0" "F" "A" "5")

HSW_POS0=(" " "Low" "Low" "Low" "Low")
HSW_POS1=(" " "High" "High" "High" "High")
HSW_POS_5=(" " "High" "Low" "High" "Low")
HSW_POS_A=(" " "Low" "High" "Low" "High")

echo "CPLD Hex Switch test" | tee -a  resp.txt 
echo "----------------------------------------------------------------" | tee -a  resp.txt 
echo "Move CPLD HEX switch into position 5 and press ENTER" | tee -a  resp.txt 
read -s -n 1 ANS
POS=0
echo "Reading HEX SW position" | tee -a  resp.txt 
for (( j=1; j<=4;j++ )); do
  RESP=`saft-io-ctl $1 -n HSWP$j | grep "Input:" | grep "${HSW_POS_5[$j]}"`
  echo "HEXSW$j : $RESP" 
  if [[ -n $RESP ]]; then
    let POS=$POS+1
  fi
done 

if [[ $POS = 4 ]]; then
  echo "HEX switch position ok." | tee -a  resp.txt 
else 
  echo "HEX switch position readback not OK." | tee -a  resp.txt 
  echo "PTS_STATUS: Failed" | tee -a  resp.txt  
  exit 64
fi


echo "----------------------------------------------------------------" | tee -a  resp.txt 
echo "Move CPLD HEX switch into position A and press ENTER" | tee -a  resp.txt 
read -s -n 1 ANS
POS=0
echo "Reading HEX SW position" | tee -a  resp.txt 
for (( j=1; j<=4;j++ )); do
  RESP=`saft-io-ctl $1 -n HSWP$j | grep "Input:" | grep "${HSW_POS_A[$j]}"`
  echo "HEXSW$j : $RESP" 
  if [[ -n $RESP ]]; then
    let POS=$POS+1
  fi
done 
if [[ $POS = 4 ]]; then
  echo "HEX switch position ok." | tee -a  resp.txt 
else 
  echo "HEX switch position readback not OK." | tee -a  resp.txt 
  echo "PTS_STATUS: Failed" | tee -a  resp.txt  
  exit 64
fi


echo "----------------------------------------------------------------" | tee -a  resp.txt 
echo "----------------------------------------------------------------" | tee -a  resp.txt 
echo "FPGA Hex Switch test" | tee -a  resp.txt 
echo "----------------------------------------------------------------" | tee -a  resp.txt 
echo "Move FPGA HEX switch into position 5 and press ENTER" | tee -a  resp.txt 
read -s -n 1 ANS
POS=0
echo "Reading HEX SW position" | tee -a  resp.txt 
for (( j=1; j<=4;j++ )); do
  RESP=`saft-io-ctl $1 -n HSWF$j | grep "Input:" | grep "${HSW_POS_5[$j]}"`
  echo "HEXSW$j : $RESP" 
  if [[ -n $RESP ]]; then
    let POS=$POS+1
  fi
done 
if [[ $POS = 4 ]]; then
  echo "HEX switch position ok." | tee -a  resp.txt 
else 
  echo "HEX switch position readback not OK." | tee -a  resp.txt 
  echo "PTS_STATUS: Failed" | tee -a  resp.txt  
  exit 64
fi


echo "----------------------------------------------------------------" | tee -a  resp.txt 
echo "Move CPLD HEX switch into position A and press ENTER" | tee -a  resp.txt 
read -s -n 1 ANS
POS=0
echo "Reading HEX SW position" | tee -a  resp.txt 
for (( j=1; j<=4;j++ )); do
  RESP=`saft-io-ctl $1 -n HSWF$j | grep "Input:" | grep "${HSW_POS_A[$j]}"`
  echo "HEXSW$j : $RESP" 
  if [[ -n $RESP ]]; then
    let POS=$POS+1
  fi
done 
if [[ $POS = 4 ]]; then
  echo "HEX switch position ok." | tee -a  resp.txt 
else 
  echo "HEX switch position readback not OK." | tee -a  resp.txt 
  echo "PTS_STATUS: Failed" | tee -a  resp.txt  
  exit 64
fi

echo "----------------------------------------------------------------" | tee -a  resp.txt 
echo "Test finished!"
echo "PTS_STATUS: OK" | tee -a  resp.txt  
exit 0
