#!/bin/bash

# $1 - Path to PTS
# $3 - wishbone master
# $3 - USER RAM address

TEST=0

echo "################################################################################" | tee resp.txt

TTY_USB=`$1/utils/find_ftrn_ttyUSB.sh`;
echo "Found FTRN $TTY_USB" | tee -a  resp.txt

USB_DATA=`eb-read dev/$TTY_USB 0x$3/4`
printf  "Reading via USB: address 0x$3 : 0x%s\n" "$USB_DATA" | tee -a  resp.txt

PCI_DATA=`eb-read dev/$2 0x$3/4`
printf  "Reading via PCI: address 0x$3 : 0x%s\n\n" "$PCI_DATA" | tee -a  resp.txt
if [ $USB_DATA == $PCI_DATA ]; then
  let TEST=$TEST+1
fi
sleep 1

USB_DATA="c007babe"
printf  "Writing via USB: address 0x$3 : 0x$USB_DATA\n" | tee -a  resp.txt
eb-write dev/$TTY_USB 0x$3/4 0x$USB_DATA

PCI_DATA=`eb-read dev/$2 0x$3/4`
printf  "Reading via PCI: address 0x$3 : 0x%s\n\n" "$PCI_DATA" | tee -a  resp.txt
if [ $USB_DATA == $PCI_DATA ]; then
  let TEST=$TEST+1
fi
sleep 1

PCI_DATA="deadbeef"
printf  "Writing via PCI: address 0x$3 : 0x$PCI_DATA\n" | tee -a  resp.txt
eb-write dev/$2 0x$3/4 0x$PCI_DATA

USB_DATA=`eb-read dev/$TTY_USB 0x$3/4`
printf  "Reading via USB: address 0x$3 : 0x%s\n\n" "$USB_DATA" | tee -a  resp.txt
if [ $USB_DATA == $PCI_DATA ]; then
  let TEST=$TEST+1
fi
sleep 1

if [ $TEST -eq 3 ]; then
  echo "PTS_STATUS: OK" | tee -a  resp.txt
else 
  echo "Not all read/write were ok." | tee -a  resp.txt
  echo "PTS_STATUS: Failed." | tee -a  resp.txt
fi

