#!/bin/bash

# $1 - FTRN Saflib name


saft-io-ctl $1 -i | grep MTCA4

echo "Enabling Libera buffers" | tee resp.txt
saft-io-ctl $1 -n LED_USR5 -d 1
saft-io-ctl $1 -n LED_USR6 -d 0
saft-io-ctl $1 -n LED_USR7 -d 1
saft-io-ctl $1 -n HWT_EN -d 1
sleep 0.5



echo "Checking Libera lines" | tee -a resp.txt
for ((i=1; i<=4; i++))
do
  echo "--------------------------------------------------------" | tee -a resp.txt
  echo "LIBERA_TR$i drive LO" | tee -a resp.txt
  saft-io-ctl $1 -n "LIBERA_TR$i" -d 0
  echo "Reding back HSWP$i:" | tee -a resp.txt
  saft-io-ctl $1 -n "HSWP$i" | tee -a resp.txt
 sleep 0.5 

#  echo "--------------------------------------------------------" | tee -a resp.txt

#  for ((j=1; j<=8; j++))
#  do
#    if [ j!=i ] ; then
#      saft-io-ctl $1 -n "MTCA4_IO$j" | grep Input
#    fi
#  done

  echo "--------------------------------------------------------" | tee -a resp.txt
  echo "LIBERA_TR$i drive HI" | tee -a resp.txt
  saft-io-ctl $1 -n "LIBERA_TR$i" -d 1
  echo "Reding back HSWP$i:" | tee -a resp.txt
  saft-io-ctl $1 -n "HSWP$i" | tee -a resp.txt
  
  sleep 1
done


echo "Disabling Libera buffers" | tee -a resp.txt
saft-io-ctl $1 -n LED_USR5 -d 0
saft-io-ctl $1 -n LED_USR6 -d 0
saft-io-ctl $1 -n LED_USR7 -d 0
saft-io-ctl $1 -n HWT_EN -d 0


echo "Test finished!" | tee -a resp.txt
echo "PTS_STATUS: OK" | tee -a resp.txt
