#!/bin/bash

# $1 - FTRN Saftlib name

VHI='>3V'
VLO='<0.7V'
VT='<3V'

# IO pairs to test
IO_1=(1 2 3 4 5 ) # output
IO_2=(2 3 4 5 1) # input

echo "LEMO IO test - 5 lemo" | tee resp.txt

echo "Turning off all LEMO IOs"
for (( i=0; i<${#IO_1[@]}; i++ )); do
  saft-io-ctl $1 -o 0 -t 0 -d 0 -n "IO${IO_1[i]}"
done


#saft-io-ctl $1 -i | grep IO

for (( i=0; i<${#IO_1[@]}; i++ )); do

  echo "-----------------------------------------------------------------------------"  

  echo "LEMO ${IO_1[i]} out to LEMO ${IO_2[i]} in, term off" | tee  -a resp.txt
  saft-io-ctl $1 -o 1 -t 0 -d 0 -n "IO${IO_1[i]}"
  saft-io-ctl $1 -o 0 -t 0 -d 0 -n "IO${IO_2[i]}"

  echo "Check that LEVEL is $VLO then press ENTER else press ESC" | tee -a resp.txt
  read -s -n 1 ANS
  if [ "$ANS" = "" ];then
    echo "Voltage level is $VLO" | tee -a resp.txt
  else
    echo "Voltage level is not $VLO" | tee -a  resp.txt  
    echo "PTS_STATUS: Failed (64)" | tee -a  resp.txt  
    exit	
  fi

 echo " "

  saft-io-ctl $1 -o 1 -t 0 -d 1 -n "IO${IO_1[i]}"
  echo "Check that LEVEL is $VHI then press ENTER else press ESC" | tee -a  resp.txt 
  read -s -n 1 ANS
  if [ "$ANS" = "" ];then
    echo "Voltage level is $VHI" | tee -a resp.txt
  else
    echo "Voltage level is not $VHI" | tee -a  resp.txt  
    echo "PTS_STATUS: Failed (64)" | tee -a  resp.txt  
    exit	
  fi

 echo " "
  
  saft-io-ctl $1 -o 0 -t 1 -d 0 -n "IO${IO_2[i]}"
  echo "Termination on IO${IO_2[i]} enabled! Check that LEVEL is $VT then press ENTER else press ESC" | tee -a  resp.txt 
  read -s -n 1 ANS
  if [ "$ANS" = "" ];then
    echo "Voltage level is $VT" | tee -a resp.txt
  else
    echo "Voltage level is not $VT" | tee -a  resp.txt  
    echo "PTS_STATUS: Failed (64)" | tee -a  resp.txt  
    exit	
  fi
  
  saft-io-ctl $1 -o 0 -t 0 -d 0 -n "IO${IO_1[i]}"
  saft-io-ctl $1 -o 0 -t 0 -d 0 -n "IO${IO_2[i]}"

done # for


echo "--------------------------------------------------------------"
echo "All IO test finished!" | tee -a resp.txt
echo "PTS_STATUS: OK" | tee -a  resp.txt  

echo ""

