#!/bin/bash

# $1 - FTRN Saftlib name

echo "Connect Lemo IO1 and Lemo IO5 with cable. Press ENTER"
read -s -n 1 ANS


echo "Enabling Lemo IO5 input clock test" | tee resp.txt
saft-io-ctl $1 -n LED_USR1 -d 0
saft-io-ctl $1 -n LED_USR2 -d 0
saft-io-ctl $1 -n LED_USR3 -d 1
saft-io-ctl $1 -n LED_USR4 -d 0
saft-io-ctl $1 -n LED_USR8 -d 0
saft-io-ctl $1 -n HWT_EN -d 1
saft-io-ctl $1 -n IO_CLKIN_EN -d 1


echo "Configuting IO direction and termination" | tee -a resp.txt

saft-io-ctl $1 -n IO5 -d 0 -o 0 -t 1
saft-io-ctl $1 -n IO1 -d 0 -o 1 -t 0

echo "Starting 4Hz clock on the LEMO IO1" | tee -a resp.txt
saft-clk-gen $1 -n IO1 -f 4 0

echo "Check that RED IO LEDs blink with then press ENTER else press ESC" | tee -a resp.txt
read -s -n 1 ANS
if [ "$ANS" = $'\e' ];then
  echo "Binary count NOT visible on RED IO LEDs" | tee -a  resp.txt  
  echo "PTS_STATUS: Failed (64)" | tee -a  resp.txt  
  exit	
else
  echo "Binary count visible on RED IO LEDs" | tee -a resp.txt
fi

echo "Starting 200MHz clock on the LEMO IO1" | tee -a resp.txt
saft-clk-gen $1 -n IO1 -p 3 2 0

echo "Check that BLUE IO LEDs blink with then press ENTER else press ESC" | tee -a resp.txt
read -s -n 1 ANS
if [ "$ANS" = $'\e' ];then
  echo "Binary count NOT visible on BLUE IO LEDs" | tee -a  resp.txt  
  echo "PTS_STATUS: Failed (64)" | tee -a  resp.txt  
  exit	
else
  echo "Binary count visible on BLUE IO LEDs" | tee -a resp.txt
fi

saft-clk-gen $1 -n IO1 -s
saft-io-ctl $1 -n IO5 -d 0 -o 0 -t 0
saft-io-ctl $1 -n IO1 -d 0 -o 0 -t 0


saft-io-ctl $1 -n LED_USR1 -d 0
saft-io-ctl $1 -n LED_USR2 -d 0
saft-io-ctl $1 -n LED_USR3 -d 0
saft-io-ctl $1 -n LED_USR4 -d 0
saft-io-ctl $1 -n LED_USR8 -d 0
saft-io-ctl $1 -n HWT_EN -d 0
saft-io-ctl $1 -n IO_CLKIN_EN -d 0

echo "--------------------------------------------------------------"
echo "PTS_STATUS: OK" | tee -a  resp.txt  

echo ""

