#!/bin/bash

# $1 - FTRN Saflib name

echo "##########################################################" | tee resp.txt


#RESP=`saft-io-ctl $1 -i`;
RESP=`eval saft-io-ctl $1 -i`
RESP=`printf "%s" "$RESP" | grep "exist!"`
if [[ -n $RESP ]]; then
  echo "PTS_ERORR: No amc device registered with Saflib!"
  exit 64
fi


DISP_COLOR=("RED" "GREEN" "BLUE")
LEDUSR5=(0 1 0)
LEDUSR6=(1 0 0)
LEDUSR7=(0 0 1)

echo "Enabling LED test"
# SW hexsw in position F
saft-io-ctl $1 -n LED_USR1 -d 1
saft-io-ctl $1 -n LED_USR2 -d 1
saft-io-ctl $1 -n LED_USR3 -d 1
saft-io-ctl $1 -n LED_USR4 -d 1
saft-io-ctl $1 -n LED_USR8 -d 0
saft-io-ctl $1 -n HWT_EN -d 1


echo "Toggling all IO, status and user LEDS" | tee -a resp.txt

saft-io-ctl $1 -n LED_USR8 -d 1
echo "Press Enter if all leds are ON. Press ESC if all leds are not ON." | tee -a resp.txt
read -s -n 1 ANS
if [ "$ANS" != $'\e' ]; then
  echo "All LEDs ON." | tee -a resp.txt
else
  echo "All LEDs not ON" | tee -a  resp.txt  
  echo "PTS_STATUS: Failed (64)" | tee -a  resp.txt  
  exit	
fi

saft-io-ctl $1 -n LED_USR8 -d 0
echo "Press enter if all leds are OFF. Press ESC if all leds are not OFF." | tee -a resp.txt
read -s -n  1 ANS
if [ "$ANS" != $'\e' ]; then
  echo "All LEDs OFF." | tee -a resp.txt
else
  echo "All LEDs not OFF" | tee -a  resp.txt  
  echo "PTS_STATUS: Failed (64)" | tee -a  resp.txt  
  exit	
fi


echo "Display LED back light test" | tee -a resp.txt
for ((i=0;i<3; i++));do

  echo "Diplay back light:  ${DISP_COLOR[i]}" | tee -a resp.txt
  saft-io-ctl $1 -n LED_USR5 -d ${LEDUSR5[i]}
  saft-io-ctl $1 -n LED_USR6 -d ${LEDUSR6[i]}
  saft-io-ctl $1 -n LED_USR7 -d ${LEDUSR7[i]}
  
  echo "Press Enter if display is ${DISP_COLOR[i]}. Press ESC if display is not ${DISP_COLOR[i]}." | tee -a resp.txt
  read -s -n 1 ANS
if [ "$ANS" != $'\e' ]; then
    echo "Display backlight color is ${DISP_COLOR[i]}." | tee -a resp.txt
  else
    echo "Display backlight color is NOT ${DISP_COLOR[i]}." | tee -a  resp.txt  
    echo "PTS_STATUS: Failed (64)" | tee -a  resp.txt  
    exit	
  fi
done


echo "Disabling LED test"

saft-io-ctl $1 -n HWT_EN -d 0
# hexsw F
saft-io-ctl $1 -n LED_USR1 -d 0
saft-io-ctl $1 -n LED_USR2 -d 0
saft-io-ctl $1 -n LED_USR3 -d 0
saft-io-ctl $1 -n LED_USR4 -d 0
saft-io-ctl $1 -n LED_USR8 -d 0

echo "Disabling Display backlight test"
saft-io-ctl $1 -n LED_USR5 -d 0
saft-io-ctl $1 -n LED_USR6 -d 0
saft-io-ctl $1 -n LED_USR7 -d 0

echo "Test finished!"
echo "PTS_STATUS: OK" | tee -a  resp.txt  
exit 0

