#!/bin/bash

echo "################################################################################" | tee resp.txt

if [ -z $1 ]; then
  echo "arg1 : valid path to PTS folder"
  exit
fi

MCH_TTY=`$1/utils/find_mch_ttyACM.sh`

if [[ -z $MCH_TTY ]]; then
  echo "PTS_ERROR: MCH serial port not found!"  | tee -a resp.txt
  exit 100
else
  echo "Found MMC serial port: $MCH_TTY" | tee -a resp.txt
fi

echo "Check MCH console" | tee -a resp.txt

stty -F /dev/$MCH_TTY 115200 raw -echo   #CONFIGURE SERIAL PORT
exec 3</dev/$MCH_TTY                     #REDIRECT SERIAL OUTPUT TO FD 3
cat <&3 > /tmp/ttyDump.dat &          #REDIRECT SERIAL OUTPUT TO FILE
PID=$!                                #SAVE PID TO KILL CAT

RESP=`cat /tmp/ttyDump.dat` # dump
echo "$RESP"  | tee -a resp.txt

printf "\r\r" > /dev/$MCH_TTY             #SEND COMMAND STRING TO SERIAL PORT

#echo "" > /tmp/ttyDump.dat
sleep 0.5

printf "show_fru\r" > /dev/$MCH_TTY             #SEND COMMAND STRING TO SERIAL PORT
sleep 2s                          #WAIT FOR RESPONSE

RESP=`cat /tmp/ttyDump.dat | grep "CSL-MMC-WR"`
echo "$RESP"  | tee -a resp.txt

if [[ -z $RESP ]]; then
  echo "MMC FTRN not in crate!" | tee -a resp.txt
  echo "PTS_STATUS: Failed"
  exit 64
else 
  echo "MCH present in the crate: $RESP" | tee -a resp.txt
fi

#echo "" > /tmp/ttyDump.dat

printf "show_sensorinfo 6\r" > /dev/$MCH_TTY             #SEND COMMAND STRING TO SERIAL PORT
sleep 2s

RESP=`cat /tmp/ttyDump.dat`	        #DUMP CAPTURED DATA
echo "$RESP"  | tee -a resp.txt

kill $PID;                             #KILL CAT PROCESS
exec 3<&- ;                             #FREE FD 3

if [ -z "$RESP" ]; then
  echo "PTS_STATUS: Failed. No response from MCH." | tee -a resp.txt
  exit 64
else 
  echo "$RESP" | tee -a resp.txt
  echo "PTS_STATUS: OK" | tee -a resp.txt
  exit 0
fi

