#!/bin/bash


echo "################################################################################" | tee resp.txt
if [ -z $1 ]; then
  echo "PTS_ERROR: arg1 : MCH IP"
  exit 100
fi

MCH_IP=$1

MCH_PING=`ping -c 3 $MCH_IP | grep "bytes from"`

if [[ -z "$MCH_PING" ]]; then
  echo "MCH IP not reachable" | tee -a resp.txt
  echo "PTS_STATUS: Failed" | tee -a resp.txt
  exit 100
else
  echo "Found MCH on IP: $MCH_IP" | tee -a resp.txt
fi

echo "Check MMC via ipmitools" | tee -a resp.txt

RESP=`ipmitool -H $MCH_IP -A none fru print 6`
ANS=`echo $RESP | grep Error`
printf "$RESP\n\n" | tee -a resp.txt
RESP=`echo $RESP | grep Cosylab`

if [ -z "$ANS" ]; then
  printf "\nPTS_STATUS: Failed No response from MCH\n" | tee -a resp.txt
  exit 64
else 
  echo "PTS_STATUS: OK" | tee -a resp.txt
  exit 0
fi

