#!/bin/bash

# $1 - PTS path

echo "################################################################################" | tee resp.txt
echo "Check that OPENOCD cable is connected to MMC JTAG connector" | tee -a resp.txt
echo " and DIP2 is in position OFF (JTAG) then press ENTER" | tee -a resp.txt
read -s -n 1 

echo "Flashing MMC"| tee -a resp.txt

openocd -f "./openocd/mmc_openocd.cfg" -c "lpprog ./LPC2136_FreeRTOS_CoreIPM.bin" &> openocd.txt

RESP=$(cat openocd.txt)

echo "$RESP" | tee -a resp.txt

TEST1=`echo "$RESP" | grep "auto unlock enabled"`
TEST2=`echo "$RESP" | grep "bytes from file"`
TEST3=`echo "$RESP" | grep "KiB/s)"`

#echo "test1 $TEST1" | tee -a resp.txt
#echo "test2 $TEST2" | tee -a resp.txt
#echo "test3 $TEST3" | tee -a resp.txt

sleep 2

if [[ -n $TEST1 ]] || [[ -n $TEST2 ]] ||  [[ -n $TEST3 ]];then
    echo "MMC flashing finished OK" | tee -a resp.txt
    echo "PTS_STATUS: OK" | tee -a resp.txt
    exit 0
else
  echo "################################################################################" | tee -a resp.txt
  echo "Flashing again"| tee -a resp.txt
  openocd -f "./openocd/mmc_openocd.cfg" -c "lpprog ./LPC2136_FreeRTOS_CoreIPM.bin"  &> openocd.txt
  RESP=$(cat openocd.txt)
  echo "$RESP" | tee -a resp.txt

  #TEST1=`echo $RESP | grep "auto unlock enabled"`
  #TEST2=`echo $RESP | grep "bytes from file)"`
  #TEST3=`echo $RESP | grep "KiB/s)"`


  if [[ -n $TEST1 ]] || [[ -n $TEST2 ]] ||  [[ -n $TEST3 ]];then
    echo "MMC flashing finished OK" | tee -a resp.txt
    echo "PTS_STATUS: OK" | tee -a resp.txt
    exit 0
  else
    echo "PTS_STATUS: MMC flashing failed" | tee -a resp.txt
    exit 64
  fi
fi

