#!/bin/bash

# $1 - PTS path

echo "################################################################################"
echo "Flashing MMC"

RESP=$(openocd -f "./openocd/mmc_openocd.cfg" -c "lpprog ./LPC2136_FreeRTOS_CoreIPM.bin")

echo "RESP : $RESP"

TEST1=`echo $RESP | grep "auto unlock enabled"`
TEST2=`echo $RESP | grep "bytes from file"`
TEST3=`echo $RESP | grep "KiB/s)"`

echo "TEST1: $TEST1"
echo "TEST2: $TEST2"
echo "TEST3: $TEST3"

sleep 2

if [[ -z $TEST1 ]] || [[ -z $TEST2 ]] ||  [[ -z $TEST3 ]];then

  echo "################################################################################"
  echo "Flashing again"
#  RESP=`openocd -f "./openocd/mmc_openocd.cfg" -c "lpprog ./LPC2136_FreeRTOS_CoreIPM.bin"`
  RESP=$(openocd -f "./openocd/mmc_openocd.cfg" -c "lpprog ./LPC2136_FreeRTOS_CoreIPM.bin")
  cd $CURDIR 
  TEST1=`echo $RESP | grep "auto unlock enabled"`
  TEST2=`echo $RESP | grep "bytes from file)"`
  TEST3=`echo $RESP | grep "KiB/s)"`

  if [[ -z $TEST1 ]] || [[ -z $TEST2 ]] || [[ -z $TEST3 ]];then
    echo "PTS_ERROR: MMC flashing failed"
    exit 64
  else
    echo "PTS_OK: MMC flashing finished"
    exit 0
  fi
else
    echo "PTS_OK: MMC flashing finished"
    exit 0
fi

