#!/bin/bash

echo "################################################################################" | tee resp.txt

if [ -z $1 ]; then
  echo "arg1 : valid path to PTS folder"
  exit 113
fi

MMC_TTY=`$1/utils/find_ftrn_mmc_ttyUSB.sh`

if [[ -n $MMC_TTY ]]; then
  echo "Found MMC serial port: $MMC_TTY" | tee -a resp.txt
else
  echo "MMC serial port not available!" | tee -a resp.txt
  echo "PTS_STATUS: Failed" | tee -a resp.txt
  exit 64
fi 

echo "################################################################################" | tee -a resp.txt
echo "Check MMC console" | tee -a resp.txt

stty -F /dev/$MMC_TTY 115200 raw -echo   #CONFIGURE SERIAL PORT
exec 3</dev/$MMC_TTY                     #REDIRECT SERIAL OUTPUT TO FD 3
cat <&3 > /tmp/ttyDump.dat &          #REDIRECT SERIAL OUTPUT TO FILE
PID=$!                                #SAVE PID TO KILL CAT
echo "i" > /dev/$MMC_TTY             #SEND COMMAND STRING TO SERIAL PORT
sleep 1s                          #WAIT FOR RESPONSE

RESP=`cat /tmp/ttyDump.dat`	        #DUMP CAPTURED DATA
echo "$RESP" | tee -a resp.txt
kill $PID;                             #KILL CAT PROCESS
exec 3<&- ;                             #FREE FD 3

RESP=`echo $RESP | grep "Build info"`

if [ -z "$RESP" ]; then
  echo "No response from MMC. Could not read MMC build info" | tee -a resp.txt
  echo "PTS_STATUS: Failed" | tee -a resp.txt
  exit 64
else 
  echo "PTS_STATUS: OK" | tee -a resp.txt
  exit 0
fi
