#!/bin/bash

echo "################################################################################" | tee resp.txt

if [ -z $1 ]; then
  echo "arg1 : valid path to PTS folder"
  exit 113
fi

MMC_TTY=`$1/utils/find_ftrn_mmc_ttyUSB.sh`

if [[ -n $MMC_TTY ]]; then
  echo "Found MMC serial port: $MMC_TTY" | tee -a resp.txt
else
  echo "PTS_STATUS: Failed. MMC serial port not available!" | tee -a resp.txt
  exit 64
fi 

echo "################################################################################" | tee -a resp.txt
echo "Check MMC console" | tee -a resp.txt

stty -F /dev/$MMC_TTY 115200 raw -echo   #CONFIGURE SERIAL PORT
exec 3</dev/$MMC_TTY                     #REDIRECT SERIAL OUTPUT TO FD 3
cat <&3 > /tmp/ttyDump.dat &          #REDIRECT SERIAL OUTPUT TO FILE
PID=$!                                #SAVE PID TO KILL CAT

echo "Enabling MMC LED test" | tee -a resp.txt
echo "Turning LED OFF"
echo "l" > /dev/$MMC_TTY             #SEND COMMAND STRING TO SERIAL PORT
sleep 1
RESP=`cat /tmp/ttyDump.dat`	        #DUMP CAPTURED DATA
if [ -z "$RESP" ]; then
  echo "No response from MMC" | tee -a resp.txt
  echo "PTS_STATUS: Failed" | tee -a resp.txt
  exit 64
fi
echo "$RESP" | tee -a resp.txt
echo "All MMC leds should be OFF. Press ENTER if yes else press ESC" | tee -a resp.txt
read -s -n 1 ANS
if [[ -n $ANS ]]; then
  echo "MMC LEDs are not ON" | tee -a resp.txt
  echo "PTS_STATUS: Failed" | tee -a resp.txt
  exit
fi

echo "Turning LED ON"
echo "L" > /dev/$MMC_TTY             #SEND COMMAND STRING TO SERIAL PORT
sleep 1
RESP=`cat /tmp/ttyDump.dat`	        #DUMP CAPTURED DATA
if [ -z "$RESP" ]; then
  echo "No response from MMC" | tee -a resp.txt
  echo "PTS_STATUS: Failed" | tee -a resp.txt
  exit 64
fi

echo "$RESP" | tee -a resp.txt
echo "All MMC leds should be ON. Press ENTER if yes else press ESC" | tee -a resp.txt
read -s -n 1 ANS
if [[ -n $ANS ]]; then
  echo "MMC LEDs are not ON" | tee -a resp.txt
  echo "PTS_STATUS: Failed" | tee -a resp.txt
  exit
fi

sleep 1s                          #WAIT FOR RESPONSE

echo "Disabling LED test" | tee -a resp.txt
echo "o" > /dev/$MMC_TTY             #SEND COMMAND STRING TO SERIAL PORT

kill $PID;                             #KILL CAT PROCESS
exec 3<&- ;                             #FREE FD 3

echo "PTS_STATUS: OK" | tee -a resp.txt
exit 0
