#!/bin/bash

echo "################################################################################" | tee resp.txt

PCI_DEV_PRE=`lspci | grep "CERN"`

echo "Killing Saflib" | tee -a  resp.txt
killall -9 saftd
sleep 2s

echo "Removing pcie_wb kernel module" | tee -a  resp.txt
rmmod pcie_wb
sleep 3s

echo "Removing wishbone kernel module" | tee -a  resp.txt
rmmod wishbone
sleep 3s

echo "checking existing FTRN devices:"
echo "$PCI_DEV"

echo "Rescanning PCI bus" | tee -a  resp.txt
echo 1 > /sys/bus/pci/rescan

echo "Inserting wishbone kernel module" | tee -a  resp.txt
insmod wishbone.ko
sleep 3s

echo "Insering pcie_wb kernel module" | tee -a  resp.txt
insmod pcie_wb.ko
sleep 3s

#echo "Starting Saflib" | tee -a  resp.txt
#saftd ftrn0:dev/wbm0 ftrn0:dev/wbm0
#sleep 2s

PCI_DEV_POST=`lspci | grep CERN`

echo "Found FTRN PCI devices:"
echo "$PCI_DEV"

if [[ "$PCI_DEV_PRE" != "$PCI_DEV_POST" ]]; then
  echo "PCI Device added" | tee -a  resp.txt
  echo "PTS_STATUS: OK" | tee -a  resp.txt
else 
  echo "FTRN PCI device not added" | tee -a  resp.txt
  echo "PTS_STATUS: Failed." | tee -a  resp.txt
fi
