#!/bin/bash

# $1 - FTRN PCI address

echo "################################################################################" | tee resp.txt

echo "Checking PCI device $1"
PCI_DEV=`lspci | grep "CERN"`
PCI_DEV=`echo "$PCI_DEV" | grep "$1"`

if [[ -z $PCI_DEV ]]; then
  echo "PCI device $1 not found!"
  echo "PTS_STATUS: OK"
  exit 0
fi  

echo "Killing Saflib" | tee -a  resp.txt
killall -9 saftd
sleep 2s

echo "Removing pcie_wb kernel module" | tee -a  resp.txt
rmmod pcie_wb
sleep 3s

echo "Removing wishbone kernel module" | tee -a  resp.txt
rmmod wishbone
sleep 3s

echo "Removing PCI device $PCI_DEV" | tee -a  resp.txt

echo 1 > /sys/bus/pci/devices/0000\:$1.0/remove

sleep 2s

PCI_DEV=`lspci | grep "CERN"`
PCI_DEV=`echo $PCI_DEV | grep "$1"` 

if [[ -z $PCI_DEV ]]; then
  echo "PCI Device removed" | tee -a  resp.txt
  echo "PTS_STATUS: OK" | tee -a  resp.txt
else 
  echo "FTRN PCI device not removed" | tee -a  resp.txt
  echo "PTS_STATUS: Failed." | tee -a  resp.txt
fi
