#!/bin/bash

# $1 amc wbm 
# $2 amc name

WBMDEV=$1
SAFLIBNAME=$2

echo "###################################################################" | tee resp.txt
echo "Starting Saftlib with $WBMDEV" | tee -a resp.txt
saftd $SAFLIBNAME:dev/$WBMDEV

echo "-------------------------------------------------------------------" | tee -a resp.txt
echo "Checking Saflib process" | tee -a resp.txt
echo "" | tee -a resp.txt

CHECK=`ps aux | grep saftd | grep $SAFLIBNAME`
echo "$CHECK" | tee -a resp.txt
echo " " | tee -a resp.txt

if [[ -n $CHECK ]]; then
  echo "Saftlib daemon running" | tee -a resp.txt
else
  echo "Saftlib daemon not started." | tee -a resp.txt
  echo "PTS_STATUS: Failed (1)" | tee -a resp.txt
  exit
fi

# log tools versions
RESP=`saft-ctl $SAFLIBNAME -i;`
printf "Saflib version:\n%s\n\n" "$RESP" | tee -a resp.txt



echo "-------------------------------------------------------------------" | tee -a resp.txt
echo "Reading IO table" | tee -a resp.txt
CHECK=`saft-io-ctl $SAFLIBNAME -i`
echo "$CHECK" | tee -a resp.txt
echo "" | tee -a resp.txt

if [[ -n $CHECK ]]; then
  echo "Saftlib can access FTRN" | tee -a resp.txt
  echo "PTS_STATUS: OK" | tee -a resp.txt
  exit
else
  echo "Could not read IO info table from FTRN." | tee -a resp.txt
  echo "PTS_STATUS: Failed (2)" | tee -a resp.txt
  exit
fi
