#!/bin/bash

if [ -z $1 ]; then
  echo "arg1 : valid path to PTS folder"
  exit 64
fi

PTS_PATH=$1

echo "################################################################################" | tee resp.txt
echo "Reading UID" | tee -a resp.txt

FTRN_TTY=`$PTS_PATH/utils/find_ftrn_ttyUSB.sh`
	
echo "Found FTRN USB device : $FTRN_TTY" | tee -a resp.txt

EBMON=`eb-mon "dev/$FTRN_TTY" -v -w0 -b0 -f0x28`

echo "$EBMON" | tee -a resp.txt

TS_MAC=`echo "$EBMON" | grep "MAC:"`
TS_UID=`echo "$EBMON" | grep "ID:"`

if [[ -n $TS_MAC ]] && [[ -n $TS_UID ]]; then
  echo "$TS_UID" | tee -a resp.txt
  echo "$TS_MAC" | tee -a resp.txt
  echo "PTS_STATUS: OK" | tee -a resp.txt
  exit 0
else
  echo "PTS_STATUS: Could not read UID or MAC" | tee -a resp.txt
  exit 64 # error
fi


