#!/bin/bash

for sysdevpath in $(find /sys/bus/usb/devices/usb*/ -name dev); do
    (
        syspath="${sysdevpath%/dev}"
        devname="$(udevadm info -q name -p $syspath)"
        [[ "$devname" == "bus/"* ]] && continue
        eval "$(udevadm info -q property --export -p $syspath)";
        [[ -z "$ID_SERIAL" ]] && continue
        RESP=`echo "/dev/$devname - $ID_SERIAL" | grep 2051_0b03`
        if [ -n "$RESP" ]
        then
	        RESP=`echo $RESP | grep ttyACM;`
		if [ -n "$RESP" ]
                then 
			echo "$devname"
		fi
        fi
    )
done
