#!/bin/bash

TEXT=""

while true;
do

# clear screen
printf "\e[2J\e[f"
echo "$TEXT"

for sysdevpath in $(find /sys/bus/usb/devices/usb*/ -name dev); do
    (
        syspath="${sysdevpath%/dev}"
        devname="$(udevadm info -q name -p $syspath)"
        [[ "$devname" == "bus/"* ]] && continue
        eval "$(udevadm info -q property --export -p $syspath)"
        [[ -z "$ID_SERIAL" ]] && continue
        RESP=`echo "/dev/$devname - $ID_SERIAL" | grep "Helmholtzzentrum_USB"`
        #echo "$RESP"
        if [ -n "$RESP" ]
        then
        	#echo "$devname : FTRN USB"
                TEXT="$devname : FTRN USB"
        fi
    )
done

for sysdevpath in $(find /sys/bus/usb/devices/usb*/ -name dev); do
    (
        syspath="${sysdevpath%/dev}"
        devname="$(udevadm info -q name -p $syspath)"
        [[ "$devname" == "bus/"* ]] && continue
        eval "$(udevadm info -q property --export -p $syspath)"
        [[ -z "$ID_SERIAL" ]] && continue
	RESP=`echo "/dev/$devname - $ID_SERIAL"`
        #echo "$RESP"
        RESP=`echo "$RESP" | grep FT230X`
        if [ -n "$RESP" ]
        then
        	#echo "$devname : MMC serial console"
		TEXT+="$devname : MMC serial console"
        fi
    )
done

for sysdevpath in $(find /sys/bus/usb/devices/usb*/ -name dev); do
    (
        syspath="${sysdevpath%/dev}"
        devname="$(udevadm info -q name -p $syspath)"
        [[ "$devname" == "bus/"* ]] && continue
        eval "$(udevadm info -q property --export -p $syspath)"
        [[ -z "$ID_SERIAL" ]] && continue
        RESP=`echo "/dev/$devname - $ID_SERIAL"`
        #echo "$RESP"
        RESP=`echo "$RESP" | grep  "2051_0b03"`
        if [ -n "$RESP" ]
        then
        	#echo "$devname : NAT MCH serial console"
		TEXT+="$devname : NAT MCH serial console"
        fi
    )
done

#printf "FTRN PCI device on the PCI bus:\n%s\n" "`lspci | grep CERN`"
#printf "%s\n" "`lspci | grep CERN`"
RESP=`lspci | grep CERN`
TEXT+="$RESP"

RESP=`ls -l /dev | grep wbm`
if [[ -n $RESP ]];then
	#printf "%s : FTRN PCI device handle\n" "`ls -l /dev | grep wbm`"
        TEXT+="$RESP"
fi

#printf "Saftlib handle:\n"
#ps aux | grep "saftd:"
TEXT+="`ps aux | grep "saftd:`"

#sleep 1
done