#!/bin/bash

# $1 - Satlib name of WR master
# $2 - WR slave (UUT)


#ps aux | grep saftd

echo "################################################################################" | tee resp.txt
echo "WR Link Status check" | tee -a resp.txt

#echo "Check WR master"
#eb-mon dev/$1 -m

echo "Turning off WR link on master" | tee -a resp.txt
# checking that WR master is accessible via Saftlib

#TMP=`saft-io-ctl $1 -i | grep LED1_BASE_R`

#if [[ ${#TMP} -eq 0 ]];then
#  echo "WR master not accessible via Saftlib" | tee -a resp.txt
#  echo "PTS_STATUS: Failed"
#  exit 100 # prerequisite for test not available
#fi

# turn off WR link on master to lose sync on slave
#saft-io-ctl $1 -n LED1_BASE_R -d 1

echo "Unplug WR fiber. Press ENTER"
read -s -n 1

TMP=`simple-display dev/$2 -s "WRM   LINK  OFF" -d 2;`
sleep 0.5

echo "Checking WR link on UUT" | tee -a resp.txt
eb-mon dev/$2 -l
sleep 1

#printf "\nTurning On WR link on master\n" | tee -a resp.txt
#saft-io-ctl $1 -n LED1_BASE_R -d 0

echo "Plug WR fiber. Press ENTER"
read -s -n 1

LINK_UP_TIME=$SECONDS

TMP=`simple-display dev/$2 -s "WRM   LINK  ON" -d 2;`
WRTIME=`eb-mon dev/$2 -d`
LINK=`eb-mon dev/$2 -l`
STATUS=`eb-mon dev/$2 -s`
printf "%s : WR link state: %s %s\n\n" "$WRTIME" "$LINK" "$STATUS" | tee -a resp.txt

printf "Checking WR Link Status on UUT\n" | tee -a resp.txt

while true; do
  WRTIME=`eb-mon dev/$2 -d`
  LINK=`eb-mon dev/$2 -l`
  STATUS=`eb-mon dev/$2 -s`
  printf "\r\e[2K%s : WR link state: %s %s" "$WRTIME" "$LINK" "$STATUS" | tee -a resp.txt
  TMP=`simple-display dev/$2 -s "$LINK $STATUS" -d 2;`

  TIME_TO_SYNC=$(( SECONDS - LINK_UP_TIME ))
  if [[ "$STATUS" = "TRACKING" ]] ; then
        printf "WR in TRACKING mode after %d sec\n\n" "$TIME_TO_SYNC" | tee -a resp.txt
        echo "PTS_STATUS: OK" | tee -a resp.txt
	      exit 0
  elif [[ $TIME_TO_SYNC -gt 60 ]] ; then
        printf "\nTIMEOUT - WR not in TRACKING mode after %d sec\n\n" "$TIME_TO_SYNC" | tee -a resp.txt
        echo "PTS_STATUS: Failed." | tee -a resp.txt
	      exit 64
  fi
  sleep 1
done

