#!/bin/bash

# arguments
# $1 - wishbone master name (without dev/)
# $2 - MAC address to be written to WR EPROM (AA:BB:CC:DD:EE:FF)

echo "################################################################################" | tee resp.txt

WRPC_SW_PATH=/home/ftrn/Desktop/centos/bp_doomsday/ip_cores/wrpc-sw/tools/

echo "MAC written to EPROM: $2" | tee -a resp.txt

echo "Configure WR EPROM" | tee -a resp.txt
$WRPC_SW_PATH/eb-w1-write dev/$1 -i 0 0 320 < $WRPC_SW_PATH/sdb-wrpc.bin
sleep 1

echo "Check current MAC" | tee -a resp.txt
eb-mon dev/$1 -m

echo "Writing new MAC" | tee -a resp.txt

tmux new-session -s eb -d
sleep 1

tmux send-keys -t eb  "eb-console dev/$1" C-m
sleep 1

tmux send-keys -t eb "mac setp $2" C-m
sleep 3

tmux send-keys -t eb "^C" C-m
sleep 1

tmux send-keys -t eb "exit" C-m
sleep 1

#tmux attach-session -t eb
#sleep 1

#tmux kill-session -t eb

echo "Check current MAC in RAM" | tee -a resp.txt
eb-mon dev/$1 -m

echo "Resetting FTRN and re-reading MAC from EEPROM" | tee -a resp.txt
eb-reset dev/$1

echo "Checking new MAC read from EEPROM" | tee -a resp.txt
STRIPMAC=`echo $2 | tr -d :`
printf "MAC WRITTEN\t: %s\n" "$STRIPMAC"  | tee -a resp.txt

NEWMAC=`eb-mon dev/$1 -m`
printf "MAC READ\t: %s\n" "$NEWMAC"  | tee -a resp.txt

if [[ $NEWMAC = $STRIPMAC ]] ; then
  echo "MAC written to EEPROM and read back." | tee -a resp.txt 
  echo "PTS_STATUS: OK" | tee -a resp.txt
  exit 0
else
  echo "MAC was not written to EEPROM!" | tee -a resp.txt
  echo "PTS_STATUS: Failed." | tee -a resp.txt
  exit 64	
fi

